List credentials.
Use to retrieve a list of all existing credentials.
Authentication
AuthorizationBearer
Bearer authentication
Query parameters
name
Filter results by name.
scope
Filters results by scope. Returns only assets that belong to the specified scope. Mutually exclusive with includeDescendants. Valid values: tenant, cluster, department, project.
projectId
Filter results by project id. If scope filter is project, only assets from the specific project will be included in the response. Otherwise, the response will include project, department, cluster, tenant and system assets.
departmentId
Filter results by department id. If scope filter is department, only assets from the specific department will be included in the response. Otherwise, the response will include department, cluster, tenant and system assets.
clusterId
Filter results by Universally Unique Identifier (UUID) of the cluster. If scope filter is cluster, only assets from the specific cluster will be included in the response. Otherwise, the response will include cluster, tenant and system assets.
usageInfo
Whether the query should include asset usage information as part of the response.
statusInfo
Whether the query should include asset status information as part of the response.
includeDescendants
Indicates whether to include assets from all descendant scopes under the specified scope. When set to true, and a specific scope identifier (for example, clusterId) is provided, the query also returns assets from all nested scopes within it (for example, departments and projects). Mutually exclusive with scope.
Response
Request completed successfully.
entries
Errors
401
Unauthorized Error
403
Forbidden Error
503
Service Unavailable Error